// You can import API functions like this from D3.js.
import { select } from 'd3';

const svg = select('svg');

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';
console.log("gz")

// This line uses D3 to set the text of the message div.
select('#message').text(message);

console.log(window.innerHeight)
console.log(window.innerWidth)

const width = +svg.attr('width');
const height = +svg.attr('height');

console.log(height);
console.log(width);

const circle1 = svg.append('circle')
.attr('cx', width/2)
.attr('cy', height/2)
.attr('r', 50)
.attr('class', 'circle1')
.attr('fill', 'green')
.on('mouseover', function() { d3.select(this).style('fill', 'orange'); })
.on('mouseout', function() { d3.select(this).style('fill', 'green'); });

const circle2 =  svg.append('circle')
.attr('cx', width/4)
.attr('cy', height/2)
.attr('r', 50)
.attr('class', 'circle2')
.attr('fill', 'red');

const circle3 = svg.append('circle')
.attr('cx', width * 3/4)
.attr('cy', height/2)
.attr('r', 50)
.attr('class', 'circle3')
.attr('fill', 'blue');

function moveCircles(circle1) {
  circle1
    .transition()
    .duration(2000)
    .attr('transform', `translate(${100}, ${-100})`)
    .transition()
    .duration(2000)
    .attr('transform', `translate(${100}, ${0})`);
}

svg.append('rect')
.attr('width', 150)
.attr('height', 60)
.attr('class', 'rect')
.attr('stroke', 'black')
.on('click', function() {
	moveCircles(circle1);
});

